Bug 234561 - panic on 11.2-RELEASE-p7 while running syslog-ng
Summary: panic on 11.2-RELEASE-p7 while running syslog-ng
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 11.2-RELEASE
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Mark Johnston
URL:
Keywords: panic
Depends on:
Blocks:
 
Reported: 2019-01-02 09:30 UTC by ferdinand.goldmann
Modified: 2019-02-21 23:06 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ferdinand.goldmann 2019-01-02 09:30:42 UTC
I have a syslog-ng server running in a VM on ESXi 6.7. Recently I experienced a rather unexplicable kernel panic:

Fatal trap 12: page fault while in kernel mode                                                                                                                                                                                          
cpuid = 4; apic id = 08                                                                                                                                                                                                                 
fault virtual address   = 0x0                                                                                                                                                                                                           
fault code              = supervisor write data, page not present                                                                                                                                                                       
instruction pointer     = 0x20:0xffffffff80aacf9e                                                                                                                                                                                       
stack pointer           = 0x28:0xfffffe02c6d52f60                                                                                                                                                                                       
frame pointer           = 0x28:0xfffffe02c6d53130                                                                                                                                                                                       
code segment            = base rx0, limit 0xfffff, type 0x1b                                                                                                                                                                            
                        = DPL 0, pres 1, long 1, def32 0, gran 1                                                                                                                                                                        
processor eflags        = interrupt enabled, resume, IOPL = 0                                                                                                                                                                           
current process         = 22788 (syslog-ng)                                                                                                                                                                                             
trap number             = 12                                                                                                                                                                                                            
panic: page fault                                                                                                                                                                                                                       
cpuid = 4                                                                                                                                                                                                                               
KDB: stack backtrace:                                                                                                                                                                                                                   
#0 0xffffffff80b3d577 at kdb_backtrace+0x67                                                                                                                                                                                             
#1 0xffffffff80af6b17 at vpanic+0x177                                                                                                                                                                                                   
#2 0xffffffff80af6993 at panic+0x43                                                                                                                                                                                                     
#3 0xffffffff80f77fdf at trap_fatal+0x35f                                                                                                                                                                                               
#4 0xffffffff80f78039 at trap_pfault+0x49                                                                                                                                                                                               
#5 0xffffffff80f77807 at trap+0x2c7                                                                                                                                                                                                     
#6 0xffffffff80f5808c at calltrap+0x8                                                                                                                                                                                                   
#7 0xffffffff80aac8f5 at kern_kevent+0xb5                                                                                                                                                                                               
#8 0xffffffff80aac784 at sys_kevent+0xa4                                                                                                                                                                                                
#9 0xffffffff80f79068 at amd64_syscall+0xa38                                                                                                                                                                                            
#10 0xffffffff80f588dd at fast_syscall_common+0x101                                                                                                                                                                                     
Uptime: 1d13h55m41s       

I was running syslog-ng before on hardware (non-virtualized) and this never happened so far.
Comment 1 Mark Johnston freebsd_committer 2019-01-02 15:01:35 UTC
I believe this is fixed by r340734, which was merged to stable/11 in r340904.  At the moment there is no workaround other than upgrading to 12.0 or manually patching the kernel.  I'll see if we can get this fixed in 11.2 with the next batch of ENs.
Comment 2 Mark Johnston freebsd_committer 2019-01-09 19:03:51 UTC
This is now fixed in 11.2 with r342899.